Gtk_Range(3)

NAME - Gtk_Range

HEADER REQUIRED
#include <gtk--/range.h&gt;>

BASE CLASSES
Gtk_Widget(3)

DERIVED BY
Gtk_Scale(3) Gtk_Scrollbar(3)

PROPERTIES

trough
    Type: GdkWindow*

slider
    Type: GdkWindow*

step_forw
    Type: GdkWindow*

step_back
    Type: GdkWindow*

x_click_point
    Type: gint16

y_click_point
    Type: gint16

button
    Type: guint8

digits
    Type: gint8

policy
    Type: guint:2

scroll_type
    Type: guint:3

in_child
    Type: guint:3

click_child
    Type: guint:3

need_timer
    Type: guint:1

timer
    Type: guint32

old_value
    Type: gfloat

old_lower
    Type: gfloat

old_upper
    Type: gfloat

old_page_size
    Type: gfloat

adjustment
    Type: GtkAdjustment*

     .IP

PUBLIC MEMBER INDEX
    Gtk_Range(GtkRange *castitem);
    const Gtk_Adjustment * get_adjustment() const;
    void  set_adjustment( Gtk_Adjustment &adjustment, bool owned = false);
      if owned=true, the adjustment will be destroyed along with this object
    void  set_update_policy(GtkUpdateType policy);
    signal void  draw_background(BaseObjectType);
    signal void  clear_background(BaseObjectType);
    signal void  draw_trough(BaseObjectType);
    signal void  draw_slider(BaseObjectType);
    signal void  draw_step_forw(BaseObjectType);
    signal void  draw_step_back(BaseObjectType);
    signal void  slider_update(GtkRange);
    signal gint  trough_click(gint, gint, gfloat*);
    signal void  motion(gint, gint);
    signal gint  trough_keys(GdkEventKey*, GtkScrollType*, GtkTroughType*);
    signal gint  timer(BaseObjectType);
    void  default_hslider_update();
    void  default_vslider_update();
    void  default_htrough_click(gint x, gint y, gfloat *jump_perc);
    void  default_vtrough_click(gint x, gint y, gfloat *jump_perc);
    void  default_hmotion(gint xdelta, gint ydelta);
    void  default_vmotion(gint xdelta, gint ydelta);
    GtkRange*  gtkobj();
    const GtkRange*  gtkobj() const;
    static bool  isGtkRange(Gtk_Object *checkcast);
    ~Gtk_Range();

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkRange  BaseObjectType;
    typedef GtkRangeClass  BaseClassType;
    virtual void * get_parent_class();
    virtual void  draw_background_impl();
    virtual void  clear_background_impl();
    virtual void  draw_trough_impl();
    virtual void  draw_slider_impl();
    virtual void  draw_step_forw_impl();
    virtual void  draw_step_back_impl();
    virtual void  slider_update_impl();
    virtual gint  trough_click_impl(gint p1, gint p2, gfloat* p3);
    virtual void  motion_impl(gint p1, gint p2);
    virtual gint  trough_keys_impl(GdkEventKey* p1, GtkScrollType* p2, GtkTroughType* p3);
    virtual gint  timer_impl();
    Gtk_Range();
    mutable Gtk_ObjectHandle  adjustment_;

PRIVATE MEMBER INDEX
    static CppClassType  range_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS